curl -H "X-API-Key: YOUR_API_KEY" \
"https://api.0xradar.app/v1/sweep-quote/0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045?chains=eth,base,arb&target_chain=base"
{
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"chains_evaluated": ["ethereum", "base", "arbitrum"],
"target_chain": "base",
"by_chain": [
{
"chain": "ethereum",
"token_count": 50,
"gas_units_required": 3271000,
"gas_price_gwei": "0.07",
"gas_cost_usd": "0.50",
"gross_value_usd": "11706.77",
"net_value_usd": "11706.27",
"is_profitable": true
}
],
"summary": {
"total_gross_value_usd": "18320.18",
"total_gas_cost_usd": "0.67",
"total_net_value_usd": "18319.50",
"profitable_chains": 3,
"recommendation": "sweep"
},
"timestamp": "2026-05-27T05:00:00"
}
Endpoints
Sweep Quote
GET
/
v1
/
sweep-quote
/
{address}
curl -H "X-API-Key: YOUR_API_KEY" \
"https://api.0xradar.app/v1/sweep-quote/0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045?chains=eth,base,arb&target_chain=base"
{
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"chains_evaluated": ["ethereum", "base", "arbitrum"],
"target_chain": "base",
"by_chain": [
{
"chain": "ethereum",
"token_count": 50,
"gas_units_required": 3271000,
"gas_price_gwei": "0.07",
"gas_cost_usd": "0.50",
"gross_value_usd": "11706.77",
"net_value_usd": "11706.27",
"is_profitable": true
}
],
"summary": {
"total_gross_value_usd": "18320.18",
"total_gas_cost_usd": "0.67",
"total_net_value_usd": "18319.50",
"profitable_chains": 3,
"recommendation": "sweep"
},
"timestamp": "2026-05-27T05:00:00"
}
Estimates gas cost to sweep (consolidate) tokens from specified source chains.
This endpoint is unique to 0xRadar. DeBank, Zerion, and GoPlus do not provide sweep cost estimates.
Auth
Optional. Free tier: max 3 chains.Path parameters
Query parameters
Response
curl -H "X-API-Key: YOUR_API_KEY" \
"https://api.0xradar.app/v1/sweep-quote/0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045?chains=eth,base,arb&target_chain=base"
{
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"chains_evaluated": ["ethereum", "base", "arbitrum"],
"target_chain": "base",
"by_chain": [
{
"chain": "ethereum",
"token_count": 50,
"gas_units_required": 3271000,
"gas_price_gwei": "0.07",
"gas_cost_usd": "0.50",
"gross_value_usd": "11706.77",
"net_value_usd": "11706.27",
"is_profitable": true
}
],
"summary": {
"total_gross_value_usd": "18320.18",
"total_gas_cost_usd": "0.67",
"total_net_value_usd": "18319.50",
"profitable_chains": 3,
"recommendation": "sweep"
},
"timestamp": "2026-05-27T05:00:00"
}